<?php

/**
 * @package    VP Email Manager
 * @copyright  Copyright (C) 2012-2024 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 3 or later; see LICENSE.txt
 * @author     Abhishek Das <info@virtueplanet.com>
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 * @phpcs:disable Squiz.Classes.ValidClassName.NotCamelCaps
 */

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

class shopFunctionsFTest extends shopFunctionsF
{
    public function __construct()
    {
        // Do not parent::construct. This will generate error for the test.
    }

    public static function isVpemOverride()
    {
        if (method_exists(__CLASS__, 'sendVpemMail')) {
            return true;
        }

        return false;
    }
}
