--
-- Table structure for table `#__vpem_datetime`
--

CREATE TABLE IF NOT EXISTS `#__vpem_datetime` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `type` varchar(110) NOT NULL DEFAULT '',
  `time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__vpem_followups`
--

CREATE TABLE IF NOT EXISTS `#__vpem_followups` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `event_id` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `order_id` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `status` tinyint(1) NOT NULL DEFAULT '0',
  `sent_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_event_id` (`event_id`),
  KEY `idx_order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Dumping data for table `#__vpem_events`
--

INSERT IGNORE INTO `#__vpem_events` (`id`, `state`, `checked_out`, `checked_out_time`, `name`, `type`, `template_id`, `mail_to`, `mail_cc`, `mail_bcc`, `mail_from`, `reply_to`, `reply_to_name`, `mail_from_name`, `attachments`, `interval_uom`, `intervals`, `filter_vendor`, `filter_vendor_operator`, `filter_product`, `filter_product_operator`, `filter_category`, `filter_category_operator`, `filter_manufacturer`, `filter_manufacturer_operator`, `filter_guests_only`, `filter_user`, `filter_user_operator`, `filter_shopper_group`, `filter_shopper_group_operator`, `filter_country`, `filter_country_operator`, `filter_st_country`, `filter_st_country_operator`, `filter_status`, `filter_status_operator`, `language`, `created_by`, `created_on`, `modified_by`, `modified_on`) VALUES
(30, 0, 0, '0000-00-00 00:00:00', 'Order Follow-up to User', 'order_followup', 30, '', '', '', '', '', '', '', '{}', 'weeks', '{\"minutes\":5,\"hours\":1,\"days\":1,\"weeks\":1,\"months\":1,\"years\":1}', '{}', 1, '{}', 1, '{}', 1, '{}', 1, 0, '{}', 1, '{}', 1, '{}', 1, '{}', 1, 'S', 1, '*', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Dumping data for table `#__vpem_templates`
--

INSERT IGNORE INTO `#__vpem_templates` (`id`, `state`, `checked_out`, `checked_out_time`, `name`, `type`, `subject`, `body`, `css_style`, `created_by`, `created_on`, `modified_by`, `modified_on`) VALUES
(30, 1, 0, '0000-00-00 00:00:00', 'Order Follow-up to User - Template', 'order_followup', '{{# JText.sprintf }}COM_VPEM_SUBJECT_FOLLOWUP_EMAIL, {{ details.BT.first_name }}, {{ vendor.vendor_store_name }}{{/ JText.sprintf }}', '<table style=\"width: 100%;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"border-bottom: 1px solid #e2e5e8;\" bgcolor=\"#FFFFFF\">\r\n<div style=\"padding: 0px 15px 0px 15px;\" align=\"center\">\r\n<table class=\"wrapper\" style=\"width: 700px;\" border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\"><!-- LOGO/PREHEADER TEXT -->\r\n<tbody>\r\n<tr>\r\n<td class=\"logo\" style=\"padding: 25px 0px 25px 0px;\">\r\n<table style=\"width: 100%;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"width: 350px;\" align=\"left\" bgcolor=\"#FFFFFF\" width=\"350\"><!--SITE LOGO / SITE NAME--> {{ vendor.vendor_image }}</td>\r\n<td style=\"width: 350px;\" align=\"right\" bgcolor=\"#FFFFFF\" width=\"350\">\r\n<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 5px 0 0 0; font-size: 14px; font-family: Arial, sans-serif; color: #666666; text-decoration: none;\">\r\n<div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; white-space: nowrap;\"><strong> {{ vendor.vendor_store_name }} </strong></div>\r\n<div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">{{ vendor.address_1 }}</div>\r\n<div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">{{ vendor.address_2 }}</div>\r\n<div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">{{ vendor.city }} {{ vendor.zip }} {{ vendor.virtuemart_state_name }}</div>\r\n<div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">{{ vendor.virtuemart_country_name }}</div>\r\n<div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">{{ vendor.phone_1 }}</div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<!-- MAIN CONTENTS SECTION -->\r\n<table style=\"width: 100%;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td class=\"section-padding\" style=\"padding: 40px 15px 40px 15px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n<table class=\"responsive-table\" style=\"width: 700px;\" border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"background-color: #ffffff; border-bottom: 2px solid #e2e5e8;\" bgcolor=\"#ffffff\">\r\n<table style=\"width: 100%;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 35px 25px; background-color: #ffffff;\" bgcolor=\"#ffffff\"><!-- MAIN CONTENTS -->\r\n<table style=\"width: 100%;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-bottom: 20px;\">\r\n<div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">{{# JText.sprintf }}COM_VPEM_INTRO_FOLLOWUP_EMAIL, {{ details.BT.first_name }}{{/ JText.sprintf }}</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; border-bottom: 1px solid #dddddd;\"><!--BLANK ROW WITH BORDER--></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"width: 100%;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-top: 20px;\" valign=\"top\" width=\"100%\">\r\n<div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold;\">{{# JText._ }}COM_VPEM_SUBTITLE_FOLLOWUP_EMAIL{{/ JText._ }}</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-top: 20px;\" valign=\"top\" width=\"100%\">{{# items }}\r\n<div>\r\n<div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold; width: 50%; float: left;\">\r\n<table style=\"width: 100%;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 0; vertical-align: top; width: 90px;\" valign=\"top\" width=\"90px\">{{# do.link }}{{ product_url }}, {{ thumbnail_image }}, target=\"_blank\"{{/ do.link }}</td>\r\n<td style=\"padding: 0; vertical-align: top;\" valign=\"top\">{{# do.link }}{{ product_url }}, {{ product_name }}, style=\"text-decoration: none; color: #555555;\" target=\"_blank\"{{/ do.link }}</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</div>\r\n<div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold; width: 50%; float: left; text-align: right;\">{{# do.link }}{{ product_url }}, {{# JText._ }}COM_VPEM_RATE_AND_REVIEW{{/ JText._ }}, style=\"padding: 10px 15px; background: #28a745; color: #ffffff; text-decoration: none; text-transform: uppercase; margin: 10px 0; text-align: center; font-size: 12px; line-height: 1; border-radius: 5px;\" target=\"_blank\"{{/ do.link }}</div>\r\n<div style=\"display: table; clear: both;\"> </div>\r\n</div>\r\n{{/ items }}</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<!-- FOOTER -->\r\n<table style=\"width: 100%;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 10px 0px 20px 0px;\" align=\"center\" bgcolor=\"#f2f2f2\"><!-- UNSUBSCRIBE COPY -->\r\n<table class=\"responsive-table\" style=\"width: 700px;\" border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\r\n<tbody>\r\n<tr>\r\n<td class=\"padding\" style=\"font-size: 13px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa;\" align=\"left\">{{ vendor.vendor_store_name }}</td>\r\n</tr>\r\n<tr>\r\n<td class=\"padding\" style=\"font-size: 11px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa; padding-top: 15px;\" align=\"left\"><!--SITE NAME AND OTHER CONTACT DETAILS--> <span class=\"appleFooter\" style=\"color: #aaaaaa;\"> {{ vendor.vendor_store_desc }} </span></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '/* CLIENT-SPECIFIC STYLES */\r\n/* Force Outlook to provide a \"view in browser\" message */\r\n#outlook a {\r\n  padding:0;\r\n} \r\n.ReadMsgBody {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display emails at full width */\r\n.ExternalClass {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display normal line spacing */\r\n.ExternalClass,\r\n.ExternalClass p,\r\n.ExternalClass span,\r\n.ExternalClass font,\r\n.ExternalClass td,\r\n.ExternalClass div {\r\n  line-height: 100%;\r\n}\r\n/* Prevent WebKit and Windows mobile changing default text sizes */\r\nbody, table, td, a{\r\n  -webkit-text-size-adjust:100%;\r\n  -ms-text-size-adjust:100%;\r\n}\r\n/* Remove spacing between tables in Outlook 2007 and up */\r\ntable, td {\r\n  mso-table-lspace:0pt;\r\n  mso-table-rspace:0pt;\r\n}\r\n/* Allow smoother rendering of resized image in Internet Explorer */\r\nimg {\r\n  -ms-interpolation-mode:bicubic;\r\n}\r\n\r\n/* RESET STYLES */\r\nbody {\r\n  margin:0;\r\n  padding:0;\r\n}\r\nimg {\r\n  border:0;\r\n  height:auto;\r\n  line-height:100%;\r\n  outline:none;\r\n  text-decoration:none;\r\n}\r\ntable {\r\n  border-collapse:collapse !important;\r\n}\r\nbody {\r\n  height:100% !important;\r\n  margin:0;\r\n  padding:0;\r\n  width:100% !important;\r\n}\r\n\r\n/* iOS BLUE LINKS */\r\n.appleBody a {\r\n  color:#68440a;\r\n  text-decoration: none;\r\n}\r\n.appleFooter a {\r\n  color:#999999;\r\n  text-decoration: none;\r\n}\r\n\r\n/* MOBILE STYLES */\r\n@media screen and (max-width: 525px) {\r\n    /* ALLOWS FOR FLUID TABLES */\r\n    table[class=\"wrapper\"] {\r\n      width:100% !important;\r\n    }\r\n\r\n    /* ADJUSTS LAYOUT OF LOGO IMAGE */\r\n    td[class=\"logo\"] {\r\n      text-align: left;\r\n      padding: 20px 0 20px 0 !important;\r\n    }\r\n    td[class=\"logo\"] img {\r\n      margin:0 auto!important;\r\n    }\r\n\r\n    /* USE THESE CLASSES TO HIDE CONTENT ON MOBILE */\r\n    td[class=\"mobile-hide\"] {\r\n      display:none;\r\n    }\r\n    img[class=\"mobile-hide\"] {\r\n      display: none !important;\r\n    }\r\n    img[class=\"img-max\"] {\r\n      max-width: 100% !important;\r\n      width: 100% !important;\r\n      height:auto !important;\r\n    }\r\n\r\n    /* FULL-WIDTH TABLES */\r\n    table[class=\"responsive-table\"] {\r\n      width:100%!important;\r\n    }\r\n\r\n    /* UTILITY CLASSES FOR ADJUSTING PADDING ON MOBILE */\r\n    td[class=\"padding\"] {\r\n      padding: 10px 5% 15px 5% !important;\r\n    }\r\n    td[class=\"padding-copy\"] {\r\n      padding: 10px 5% 10px 5% !important;\r\n      text-align: left;\r\n    }\r\n    td[class=\"padding-meta\"] {\r\n      padding: 30px 5% 0px 5% !important;\r\n      text-align: center;\r\n    }\r\n    td[class=\"no-pad\"] {\r\n      padding: 0 0 20px 0 !important;\r\n    }\r\n    td[class=\"no-padding\"] {\r\n      padding: 0 !important;\r\n    }\r\n    td[class=\"section-padding\"] {\r\n      padding: 50px 15px 50px 15px !important;\r\n    }\r\n    td[class=\"section-padding-bottom-image\"] {\r\n      padding: 50px 15px 0 15px !important;\r\n    }\r\n\r\n    /* ADJUST BUTTONS ON MOBILE */\r\n    td[class=\"mobile-wrapper\"] {\r\n        padding: 10px 5% 15px 5% !important;\r\n    }\r\n    table[class=\"mobile-button-container\"] {\r\n        margin:0 auto;\r\n        width:100% !important;\r\n    }\r\n    a[class=\"mobile-button\"] {\r\n        width:80% !important;\r\n        padding: 15px !important;\r\n        border: 0 !important;\r\n        font-size: 16px !important;\r\n    }\r\n}', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00');
